-- 基础信息
base_info = {
	group_id = 247003010
}

-- DEFS_MISCS
local GroupId = 247003010
local point_id_list = {}
local MainGroupID = 247003001
local RegionID = 10001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 10001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 160.104, y = 0.050, z = 79.999 } }
}

-- 触发器
triggers = {
	{ config_id = 1010001, name = "ENTER_REGION_10001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 10002, pos = { x = 160.054, y = 0.039, z = 93.376 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10003, pos = { x = 157.058, y = 0.039, z = 92.674 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10004, pos = { x = 163.281, y = 0.039, z = 92.790 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10005, pos = { x = 153.147, y = 0.039, z = 91.466 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10006, pos = { x = 167.219, y = 0.039, z = 91.019 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10007, pos = { x = 150.700, y = 0.039, z = 88.967 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10008, pos = { x = 170.454, y = 0.039, z = 88.984 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 10009, pos = { x = 149.888, y = 0.039, z = 86.432 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 10010, pos = { x = 170.568, y = 0.039, z = 86.083 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 10011, pos = { x = 149.838, y = 0.039, z = 83.338 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 10012, pos = { x = 160.123, y = 0.039, z = 92.063 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 10013, pos = { x = 155.228, y = 0.039, z = 90.097 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 10014, pos = { x = 165.177, y = 0.039, z = 90.271 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 10015, pos = { x = 151.827, y = 0.039, z = 87.000 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 10016, pos = { x = 169.364, y = 0.039, z = 85.979 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 10017, pos = { x = 152.276, y = 0.039, z = 81.344 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 10018, pos = { x = 168.775, y = 0.039, z = 80.064 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 10019, pos = { x = 155.284, y = 0.039, z = 77.532 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 10020, pos = { x = 165.355, y = 0.039, z = 76.723 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 10021, pos = { x = 160.115, y = 0.039, z = 74.668 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 10022, pos = { x = 150.108, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10023, pos = { x = 170.175, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10024, pos = { x = 150.108, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10025, pos = { x = 170.175, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10026, pos = { x = 151.842, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10027, pos = { x = 171.909, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10028, pos = { x = 151.842, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10029, pos = { x = 171.909, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10030, pos = { x = 147.426, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10031, pos = { x = 167.493, y = 0.039, z = 92.405 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 10032, pos = { x = 147.426, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10033, pos = { x = 167.493, y = 0.039, z = 73.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 10034, pos = { x = 158.928, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10035, pos = { x = 161.161, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10036, pos = { x = 157.015, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10037, pos = { x = 163.207, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10038, pos = { x = 155.143, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10039, pos = { x = 165.045, y = 0.039, z = 86.415 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10040, pos = { x = 156.898, y = 0.039, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10041, pos = { x = 162.944, y = 0.039, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10042, pos = { x = 161.161, y = 0.039, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10043, pos = { x = 158.928, y = 0.039, z = 84.044 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 10044, pos = { x = 159.973, y = 0.050, z = 87.171 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 10001 },
		triggers = { "ENTER_REGION_10001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
